org.apache.fop.pdf

## Class NullFilter

- java.lang.Object
- - org.apache.fop.pdf.PDFFilter
  - - org.apache.fop.pdf.NullFilter

- Direct Known Subclasses:
    CCFFilter, DCTFilter

      public class NullFilter
      extends PDFFilter

  Null Filter class. The content is just passed through. The class is used to override the default Flate filter for debugging purposes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OutputStream` | `applyFilter(OutputStream out)` Applies a filter to an OutputStream.
    `PDFObject` | `getDecodeParms()` return a parameter dictionary for this filter, or null
    `String` | `getName()` return a PDF string representation of the filter, e.g.

    - ### Methods inherited from class org.apache.fop.pdf.PDFFilter

      `isApplied, isASCIIFilter, setApplied`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NullFilter

          public NullFilter()

  - ### Method Detail

    - #### getName

          public String getName()

      return a PDF string representation of the filter, e.g. /FlateDecode
      Specified by:
        `getName` in class `PDFFilter`
      Returns:
        the filter PDF name

    - #### getDecodeParms

          public PDFObject getDecodeParms()

      return a parameter dictionary for this filter, or null
      Specified by:
        `getDecodeParms` in class `PDFFilter`
      Returns:
        the decode params for the filter

    - #### applyFilter

          public OutputStream applyFilter(OutputStream out)
                                   throws IOException

      Applies a filter to an OutputStream.
      Specified by:
        `applyFilter` in class `PDFFilter`
      Parameters:
        `out` - contents to be filtered
      Returns:
        OutputStream filtered contents
      Throws:
        `IOException` - In case of an I/O problem

Copyright © 2025 Apache Software Foundation. All rights reserved.